# Archetypes imports
from Products.Archetypes.atapi import *

# Product imports
from Products.MyMessage.config import PROJECTNAME

# Schema definition
schema = BaseSchema.copy() + Schema((
    IntegerField('body',
              required = 1,
              ),
    ))

class MyMessage(BaseContent):
    """An Archetype for MyMessage application"""

    schema = schema
    _at_rename_after_creation = True

    # use our view
    aliases = {
        '(Default)'  : PROJECTNAME.lower() + '_view',
        'view'       : PROJECTNAME.lower() + '_view',
        'edit'       : 'base_edit',
        }

registerType(MyMessage, PROJECTNAME)
